## oslo.messaging 1.2.0~a4

=== requirements.txt ===
oslo.config
stevedore

# for oslo.messging.conffixture
fixtures>=0.3.12

# for timeutils
iso8601

# for jsonutils
six

# FIXME(markmc): remove this when the drivers no longer
# import eventlet
eventlet>=0.12.0

=== debian/changelog ===
oslo.messaging (1.2.0~a4-0ubuntu1) saucy; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Aug 2013 14:11:08 -0400

=== debian/control ===
Source: oslo.messaging
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~), python-d2to1,
 python-oslo.config, python-stevedore, python-fixtures, python-iso8601, python-six,
 python-eventlet, testrepository, python-mox, python-testscenarios, python-testtools, python-pbr,
 python-sphinx, python-oslo.sphinx, python-kombu
Standards-Version: 3.9.4

Package: python-oslo.messaging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-oslo.config, python-stevedore,
 python-fixtures, python-iso8601, python-six, python-eventlet
Description: oslo messaging library
 The oslo messaging API supports RPC and notifications over a number of 
 different messaging transports.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/oslo.messaging/oslo-messaging-(.*)\.tar\.gz

## oslo.messaging 1.3.0

=== requirements.txt ===
oslo.config>=1.2.0
stevedore>=0.14

# for timeutils
iso8601>=0.1.9

# for jsonutils
six>=1.5.2

# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet>=0.13.0

# used by openstack/common/gettextutils.py
Babel>=1.3

# for the routing notifier
PyYAML>=3.1.0

# rabbit driver is the default
kombu>=2.4.8

=== debian/changelog ===
oslo.messaging (1.3.0-0ubuntu1) trusty; urgency=medium

  * New upstream release. (LP: #1300804)
  * debian/patches/skip-qpid-tests.patch: Skip qpid tests if qpid
    is not installed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Apr 2014 10:09:49 -0400

oslo.messaging (1.3.0~a9-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1298970)
  * debian/control:
    - Add python-oslotest as a build dependency.
    - Use python-oslosphinx instead of python-oslo.sphinx

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Mar 2014 13:01:34 -0400

oslo.messaging (1.3.0~a7-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control:
    - Add python-yaml, python-babel, python-six, python-mox3,
      python-mock as build dependency.
    - Dropped python-d2to1 as a dependency.
  * wrap and sort.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Feb 2014 14:32:19 -0500

oslo.messaging (1.2.0~a11-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - debian/watch: Fix typo (LP: #1212684)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Dec 2013 10:58:43 -0500

=== debian/control ===
Source: oslo.messaging
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
               python-all (>= 2.6.6-3~),
               python-babel,
               python-eventlet,
               python-fixtures,
               python-iso8601,
               python-kombu,
               python-mock,
               python-mox3,
               python-oslotest,
               python-oslo.config,
               python-oslosphinx,
               python-pbr,
               python-setuptools,
               python-six,
               python-sphinx,
               python-stevedore,
               python-testscenarios,
               python-testtools,
               python-yaml,
               testrepository
Standards-Version: 3.9.4

Package: python-oslo.messaging
Architecture: all
Depends: python-babel,
         python-eventlet,
         python-iso8601,
         python-oslo.config,
         python-six,
         python-stevedore,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: oslo messaging library
 The oslo messaging API supports RPC and notifications over a number of
 different messaging transports.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	testr init && testr run

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/oslo.messaging/oslo.messaging-(.*)\.tar\.gz

## oslo.messaging 1.4.0.0+really+1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 iso8601>=0.1.9
 
 # for jsonutils
-six>=1.5.2
+six>=1.6.0
 
 # FIXME(markmc): remove this when the drivers no longer
 # import eventlet

=== debian/changelog ===
oslo.messaging (1.4.0.0+really+1.3.1-2) unstable; urgency=medium

  * Removed the use of PROTOCOL_SSLv3 which is gone from Python.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 09:50:49 +0000

oslo.messaging (1.4.0.0+really+1.3.1-1) unstable; urgency=medium

  * Repairing wrong upload to unstable (this was due to a wrong release of
    keystone upstream).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 16:18:49 +0000

oslo.messaging (1.4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Note that this really is 1.4.0, though because of previous upload to
    Debian using 1.4.0.0~a4 (which should have been 1.4.0~a4), then we do need
    to use that version number.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 22:26:34 +0800

oslo.messaging (1.4.0.0~a4-1) unstable; urgency=medium

  * New upstream release.
  * Updated required version for python{3,}-six.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Aug 2014 19:09:30 +0800

oslo.messaging (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 20:10:04 +0800

oslo.messaging (1.3.0~a9-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * Updated (build-)dependency.
  * Better usage of testr/subunit.
  * Refreshed no-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 17:10:55 +0800

oslo.messaging (1.3.0~a5-1) unstable; urgency=medium

  * New upstream release.
  * Fixed sphinxdoc build.
  * Fixed all (build-)depends for the new version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2014 15:10:21 +0800

oslo.messaging (1.2.0~a11-2) unstable; urgency=low

  * Added missing build-depends: openstack-pkg-tools (Closes: #724090).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 10:03:12 +0800

oslo.messaging (1.2.0~a11-1) unstable; urgency=low

  * Initial release (Closes: #721511).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 21:27:09 +0800

=== debian/control ===
Source: oslo.messaging
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-amqp (>= 1.0.12),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-kombu (>= 2.4.8),
                     python-mock (>= 1.0),
                     python-mox3,
                     python-oslo.config,
                     python-oslosphinx,
                     python-oslotest,
                     python-qpid,
                     python-six (>= 1.6.4),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python-yaml,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo.messaging.git
Vcs-Git: http://anonscm.debian.org/git/openstack/oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-amqp (>= 1.0.12),
         python-babel (>= 1.3),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.9),
         python-kombu (>= 2.4.8),
         python-oslo.config,
         python-six (>= 1.6.4),
         python-stevedore (>= 0.14),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: oslo messaging library
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## oslo.messaging 1.4.1

=== requirements.txt ===
--- 
+++ 
@@ -1,11 +1,9 @@
-oslo.config>=1.2.0
+oslo.config>=1.4.0.0a3
+oslo.utils>=0.2.0
 stevedore>=0.14
 
-# for timeutils
-iso8601>=0.1.9
-
 # for jsonutils
-six>=1.6.0
+six>=1.7.0
 
 # FIXME(markmc): remove this when the drivers no longer
 # import eventlet

=== debian/changelog ===
oslo.messaging (1.4.1-0ubuntu1.1) utopic; urgency=medium

  * Backport fixes for reliable AMQP reconnect support, ensuring
    nova-compute instances re-connect and message correctly when
    RabbitMQ message brokers disappear is clustered configurations:
    - d/p/0001-Fix-_poll_connection-not-timeout-issue-1-2.patch:
      Improve precision of iterconsume timeouts (LP: #1400268).
    - d/p/0002-Fix-_poll_connection-not-timeout-issue-2-2.patch:
      Fix timeout timer when duration is set to None  (LP: #1408370).
    - d/p/0003-qpid-Always-auto-delete-queue-of-DirectConsumer.patch:
      Ensure that message publishers fail and retry if the consumer has
      not yet declared a receiving queue (LP: #1338732).
    - d/p/0004-rabbit-redeclare-consumers-when-ack-requeue-fail.patch:
      Redeclare consumers when the ack/requeue fails (LP: #1448650).
    - d/p/0005-Fix-possible-usage-of-undefined-variable.patch:
      Fix use of a variable before its definition in the reconnect
      path when an exception is encountered (LP: #1465314).

 -- Billy Olsen <billy.olsen@canonical.com>  Fri, 26 Jun 2015 09:59:10 +0100

oslo.messaging (1.4.1-0ubuntu1) utopic; urgency=medium

  * New upstream final release for OpenStack Juno:
    - d/p/skip-qpid-tests.patch: Dropped, equivalent upstream.
    - d/control: Drop dependency on python-iso8601, add dependency on
      python-oslo.utils.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Sep 2014 17:29:57 +0100

oslo.messaging (1.4.0.0~a3-0ubuntu2) utopic; urgency=medium

  * d/p/zmq-server-routing.patch: Cherry pick WIP to ensure that ZMQ
    messages get routed correctly for call's (LP: #1301723).

 -- James Page <james.page@ubuntu.com>  Thu, 11 Sep 2014 09:58:18 +0100

oslo.messaging (1.4.0.0~a3-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Jul 2014 10:41:23 -0400

oslo.messaging (1.4.0.0~a2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/patches/skip-qpid-tests.patch: Rediffed

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jun 2014 11:08:16 -0400

=== debian/control ===
Source: oslo.messaging
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
               python-all (>= 2.6.6-3~),
               python-babel,
               python-eventlet,
               python-fixtures,
               python-kombu,
               python-mock,
               python-mox3,
               python-oslotest,
               python-oslo.config,
               python-oslo.utils,
               python-oslosphinx,
               python-pbr,
               python-setuptools,
               python-six,
               python-sphinx,
               python-stevedore,
               python-testscenarios,
               python-testtools,
               python-yaml,
               testrepository
Standards-Version: 3.9.4

Package: python-oslo.messaging
Architecture: all
Depends: python-babel,
         python-eventlet,
         python-oslo.config,
         python-oslo.utils,
         python-six,
         python-stevedore,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: oslo messaging library
 The oslo messaging API supports RPC and notifications over a number of
 different messaging transports.

## oslo.messaging 1.8.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0

oslo.config>=1.9.0  # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
stevedore>=1.1.0  # Apache-2.0

# for jsonutils
six>=1.9.0

# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet>=0.16.1

# for the routing notifier
PyYAML>=3.1.0

# rabbit driver is the default
kombu>=2.5.0

# middleware
oslo.middleware>=0.3.0                  # Apache-2.0

# for the futures based executor
futures>=2.1.6

# needed by the aioeventlet executor
aioeventlet>=0.4
trollius>=1.0

=== debian/changelog ===
oslo.messaging (1.8.1-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo, including enablement
    of RabbitMQ heartbeating for improved connection failure detection
    (LP: #856764):
    - d/p/zmq-redis-fix-topic-registration.patch,
      d/p/disable-zmq-tests.patch: Dropped, included upstream.
    - d/p/zmq-client-pooling.patch: Rebase.
    - d/p/disable-new-executors.patch: Disable hard requirement for
      trollius and aioeventlet executors for vivid release.
    - d/control: Align minimum version requirements with upstream.
  * d/pydist-overrides: Add overrides for new oslo package naming.
  * Misc fixes for zmq driver:
    - d/p/Fix-changing-keys-during-iteration-in-matchmaker-hea.patch:
      Fix changing keys during iteration in matchmaker heartbeat
      (LP: #1432966).
    - d/p/Add-pluggability-for-matchmakers.patch: Add entry points
      for matchmaker drivers (LP: #1291701).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 09:52:29 +0100

oslo.messaging (1.6.0-0ubuntu2) vivid; urgency=medium

  * d/p/zmq-client-pooling.patch: Fixup references to oslo.messaging
    -> oslo_messaging, resolving config file generation failures in
    other OpenStack packages (LP: #1433993).
  * Tidy lintian warnings and error messages.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Mar 2015 11:32:05 +0000

oslo.messaging (1.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/control: Transition to new package name.
    - d/control: Switch to new package names for python-oslo.*.
    - d/control: Add new BD on python-concurrent.futures.
    - d/p/*: Refresh.
  * d/p/disable-zmq-tests.patch: Rebase based on patch submitted
    upstream.
  * d/p/zmq-client-pooling: Add patch to enable pooling of outbound
    client connections, avoiding a tcp connection per sent message.
  * d/p/zmq-redis-fix-topic-registration.patch: Cherry pick fix for
    Redis matchmaker topic registration problems.

 -- James Page <james.page@ubuntu.com>  Tue, 10 Feb 2015 12:24:23 +0000

oslo.messaging (1.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    - d/p/*: Dropped, patches accepted upstream.
    - d/control: Add new dependencies, update minimum version
      requirements inline with new release.
    - d/p/enable-zmq-tests.patch: Cherry pick patch to fix misc
      ZeroMQ issues and enable test suite.
    - d/p/matchmaker-redis-fix.patch: Cherry pick fix for Redis
      matchmaker.
    - d/p/disable-zmq-tests.patch: Make conditional execution of
      zmq tests a little more intelligent.
  * Enable easier use of ZeroMQ receiver daemon:
    - d/control: Add new oslo-messaging-zmq-receiver package.
    - d/oslo-messaging-zmq-receiver.{upstart,service}: Add upstart
      and systemd configuration files for receiver.
    - d/oslo-messaging-zmq-receiver.postinst: Create oslo user and
      group for daemon processes to run under.
    - d/etc/oslo-messaging.conf: Add default configuration file.
  * d/control: Add Suggests on python-zmq to python-oslo.messaging. 
  * d/control,compat: Bump compat level to 9.
  * d/control,rules: Add subunit to BD's, generate pretty test output.
  * d/control: Align dependency version requirements with upstream.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.
  * d/control: Add dh-python to BD's.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Dec 2014 14:34:04 +0000

=== debian/control ===
Source: oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 dh-systemd (>= 1.5),
 python-all (>= 2.6.6-3~),
 python-babel (>= 1.3),
 python-concurrent.futures,
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-hacking (>= 0.9.2),
 python-kombu (>= 2.5.0),
 python-mock,
 python-mox3 (>= 0.7.0),
 python-oslo-config (>= 1:1.9.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-middleware (>= 0.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1.2.0),
 python-pbr,
 python-redis (>= 2.10.0),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sphinx,
 python-stevedore (>= 1.1.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-yaml,
 subunit,
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6

Package: python-oslo-messaging
Architecture: all
Breaks: python-oslo.messaging (<< 1.6.0-0ubuntu1~)
Replaces: python-oslo.messaging (<< 1.6.0-0ubuntu1~)
Depends:
 python-babel (>= 1.3),
 python-eventlet (>= 0.16.1),
 python-kombu (>= 2.5.0),
 python-oslo-config (>= 1:1.9.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-middleware (>= 0.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-six (>= 1.9.0),
 python-stevedore (>= 1.1.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-zmq
Description: Oslo Messaging RPC library
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends:
 adduser,
 python-oslo-messaging (= ${binary:Version}),
 python-zmq,
 ${misc:Depends}
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo.messaging
Section: oldlibs
Architecture: all
Depends: python-oslo-messaging, ${misc:Depends}
Description: transitional dummy package for python-oslo.messaging
 This transtional package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && \
        TEMP_REZ=`mktemp -t` && \
        PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit; \
        cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats; \
        rm -f $$TEMP_REZ ;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/oslo.messaging/oslo.messaging-(.*)\.tar\.gz

## oslo.messaging 1.8.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0

oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0

# for jsonutils
six>=1.9.0

# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet>=0.16.1,!=0.17.0

# for the routing notifier
PyYAML>=3.1.0

# rabbit driver is the default
# require kombu>=3.0.7 and amqp>=1.4.0 for heatbeat support
kombu>=2.5.0

# middleware
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0

# for the futures based executor
futures>=2.1.6

# needed by the aioeventlet executor
aioeventlet>=0.4
trollius>=1.0

=== debian/changelog ===
oslo.messaging (1.8.3-3) unstable; urgency=medium

  * Fixed wrong dependency on python3-concurrent.futures.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jun 2015 09:39:34 +0200

oslo.messaging (1.8.3-2) unstable; urgency=medium

  * Makes the build reproducible. Thanks to Juan Picca <jumapico@gmail.com> for
    the bug report and patch. (Closes: #788480)

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:40:21 +0200

oslo.messaging (1.8.3-1) unstable; urgency=medium

  [ James Page ]
  * Add myself to Uploaders.
  * Ensure that unit test failures result in a package build failure.

  [ Thomas Goirand ]
  * New upstream release.
  * Added Python 3 support.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 May 2015 00:19:08 +0200

oslo.messaging (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: bump to 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2015 09:21:46 +0200

oslo.messaging (1.4.1-2) experimental; urgency=medium

  * Added remove-PROTOCOL_SSLv3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 10:01:03 +0000

oslo.messaging (1.4.1-1) experimental; urgency=medium

  * New upstream release, which is in fact the same as 1.4.0, though this fixes
    the mess with version numbers. Thanks a lot to Doug Hellmann for it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 15:12:40 +0000

oslo.messaging (1.4.0.0-2) experimental; urgency=medium

  * Uploading to experimental. Version 1.4 should never have been uploaded
    to unstable, so repairing this.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 16:01:44 +0000

=== debian/control ===
Source: oslo.messaging
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-aioeventlet (>= 0.4),
                     python-amqp,
                     python-concurrent.futures,
                     python-coverage,
                     python-eventlet (>= 0.17.3),
                     python-fixtures,
                     python-hacking,
                     python-kombu,
                     python-mock,
                     python-mox3,
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-qpid,
                     python-redis,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.3.0),
                     python-testscenarios,
                     python-testtools,
                     python-trollius,
                     python-yaml,
                     python-zmq,
                     python3-aioeventlet (>= 0.4),
                     python3-amqp,
                     python3-eventlet (>= 0.17.3),
                     python3-fixtures,
                     python3-kombu,
                     python3-mock,
                     python3-mox3,
                     python3-oslo.config (>= 1:1.9.3),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.middleware (>= 1.0.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 1.4.0),
                     python3-oslotest (>= 1.5.1),
                     python3-redis,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-stevedore (>= 1.3.0),
                     python3-testscenarios,
                     python3-testtools,
                     python3-yaml,
                     python3-zmq,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo.messaging.git
Vcs-Git: http://anonscm.debian.org/git/openstack/oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Depends: python-aioeventlet (>= 0.4),
         python-amqp (>= 1.0.12),
         python-concurrent.futures,
         python-eventlet (>= 0.16.1),
         python-kombu,
         python-oslo.config (>= 1:1.9.3),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-pbr,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.3.0),
         python-trollius,
         python-yaml,
         python-zmq,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-aioeventlet (>= 0.4),
         python3-amqp (>= 1.0.12),
         python3-eventlet (>= 0.16.1),
         python3-kombu,
         python3-oslo.config (>= 1:1.9.3),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.middleware (>= 1.0.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 1.4.0),
         python3-pbr,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.3.0),
         python3-yaml,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.messaging; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.messaging; \
	done
	mv $(CURDIR)/debian/python-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python-oslo.messaging/usr/bin/python2-oslo-messaging-zmq-receiver
	mv $(CURDIR)/debian/python3-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python3-oslo.messaging/usr/bin/python3-oslo-messaging-zmq-receiver
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif
